<?php
namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Request;
use Illuminate\Support\Facades\Auth;
use DB;

use App\Models\AdminMenu;
use App\Models\UserGroup;
use App\Models\Setting;

class AdminBaseController extends Controller
{
    
    protected $data=[];

    public function __construct()
    {        
        
        $settings=Setting::where('identifier', 'ADMIN_DATA')->first();
        $this->data['settings']=json_decode($settings->value,1);
             
        
        $this->data['leftMenu']=AdminMenu::where('parent_id',0)->where('status','1')->orderBy('priority','asc')->orderBy('title','asc')->get();
        


        
    }


    public function getUserActivity($menu_id, $role_id){
        $userActivity=DB::table('admin_menu_activities')->join('role_menu_activities','role_menu_activities.activity_id','admin_menu_activities.id')
                    ->where('role_menu_activities.role_id', $role_id)
                    ->where('menu_identifier',$menu_id)->get();


        $this->data['permissions']=[];
        if(isset($userActivity)){
            foreach($userActivity as $row){
                $this->data['permissions'][]=$row->activity_identifier;
            }
        }
                    
                    
    }



    public function makeurl($str)
    {


        $clean = preg_replace("/[^a-zA-Z0-9 -]/", "", $str);
        $clean = strtolower($clean);
        $clean = str_replace(" ", "-", $clean);
        return $clean;
    }

    public function convertimage($pagecontent,$url='page')
    {
        $arraydata = explode('"', $pagecontent);       

        $count=0;
        foreach ($arraydata as $imagedata) {
           
            if (substr($imagedata, 0, 10) == "data:image") {
                $image_info = getimagesize($imagedata);
                $image_parts = explode(";base64,", $imagedata);

                
                
                    //print_r($image_info);exit;


                    if ($arraydata[$count + 2] == "") {
                        $arraydata[$count + 2]=$url;
                    }
                   
                    $url='public/uploads/content';
                    $urls='public/uploads/content/';
                    if (!file_exists('public/uploads/content/')) {
                       // mkdir('public/uploads/content/');
                    }
              
                   
                    $urlcount=0;
                    if($image_info['mime']=='image/jpeg'){
                                $url = $urls . $this->makeurl($arraydata[$count + 2]) . '.jpg';

                                while (file_exists($url)) {
                                    $url = $urls . $this->makeurl($arraydata[$count + 2])."-".$urlcount . '.jpg';
                                    $urlcount++;
            
                                }


                                try {
                            
                                    $data = base64_decode(substr($imagedata, 23, -1));
                                    $formImage = imagecreatefromstring($data);
            
                                    imagejpeg($formImage, $url, 100);
                                    $arraydata[$count] =  $url;
            
                                        
            
                                } catch (ErrorException $ex) {
                                    
            
                                }


                    }

                    if($image_info['mime']=='image/png'){
                                    $urlpng = $urls . $this->makeurl($arraydata[$count + 2]) . '.png';

                                    while (file_exists($urlpng)) {
                                        $urlpng = $urls . $this->makeurl($arraydata[$count + 2])."-".$urlcount . '.png';
                                        $urlcount++;
                
                                    }


                                    try {
                                
                                                                
                
                                        $image_base64 = base64_decode($image_parts[1]);
                                        file_put_contents($urlpng, $image_base64);
                                        $arraydata[$count] =  $urlpng;
                                        
                
                                    } catch (ErrorException $ex) {
                                        
                
                                    }


                    }                    
                   
                    



            }
            $count++;
        }
        $arraydata = implode('"', $arraydata);
        return $arraydata;

    }


 

}
