<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use DB;
use Illuminate\Support\Facades\Auth;



use App\Models\Parts;
use App\Models\ServiceType;
use App\Models\Ticket;
use App\Models\Equipment;
use App\Models\AssetSerial;
use App\Models\Regions;
use App\Models\Facility;
use App\Models\Item;


class AjaxController extends Controller
{

    public function __construct()
    {
        
        
    }

    public function upload(Request $request){
        
        $input = $request->all();
       
        if ($input['image']) {

            $image_parts = explode(";base64,", $input['image']);
            $image_type_aux = explode("image/", $image_parts[0]);
            $image_type = $image_type_aux[1];
            $image_base64 = base64_decode($image_parts[1]);
            $name=uniqid() . '.png';



            $destinationPath = public_path('/uploads/pages/');            
            file_put_contents($destinationPath.$name, $image_base64 );
            $file=asset('/public/uploads/pages')."/".$name;

            $source_url=$destinationPath.$name;
            $info = getimagesize($source_url); 
            if ($info['mime'] == 'image/jpeg') $image = imagecreatefromjpeg($source_url); 
            elseif ($info['mime'] == 'image/gif') $image = imagecreatefromgif($source_url); 
            elseif ($info['mime'] == 'image/png') $image = imagecreatefrompng($source_url); 
            imagejpeg($image, $destinationPath.$name, 50); 

           
        } 


         $response = array(
			"status" => 'success',
            "name" => $name,
            "file" => asset($file),
			
		  );

        return response()->json(
            $response
         , 200);
    }

    public function parts_search(Request $request){

        $input=$request->all();
        $parts=Parts::select('id as sku_id','number as label','price','description' )
                    ->where('status','1')
                    ->where('number','LIKE',"%{$input['search']}%")
                    ->get();

        return response()->json(
            $parts
         , 200);

    }

    public function item_search(Request $request){

        $input=$request->all();
        $parts=Item::select('id as item_id','item_name as label' )
                    ->where('status','1')
                    ->where('item_name','LIKE',"%{$input['search']}%")
                    ->get();

        return response()->json(
            $parts
         , 200);

    }

    public function serviceComments(Request $request){
        $input=$request->all();
        $serviceType=ServiceType::where('id',$input['id'])->first();
        $response=[];
        if(isset($serviceType)){
            $response=["service_requested"=>$serviceType->service_requested_text,
                        "finding_diagnosis"=>$serviceType->finding_diagnosis,
                        "corrective_action"=>$serviceType->corrective_action];
        }

        return response()->json(
            $response
         , 200);
    }

    public function equipmentDetailsChecking(Request $request){
        $user = auth()->guard('admin')->user();
        $input=$request->all();
        $serial_id=$input['serial_id'];		
        
       	
		
        $ticketStatus=Ticket::where('asset_serials_id',$serial_id)
                    ->where('allow_edit','1')->where('isDeleted','0')->count();		
		

		if($user->role_id==1){
			$ticketStatus=0;
		}		
		
        $equipment=Equipment::join('asset_serials', 'asset_serials.equipment_id', 'equipments.id')
                                ->join('manufacturers', 'manufacturers.id','asset_serials.manufacturers_id')
                                ->select('equipments.id',
                                    'equipments.name',                                    
                                    'asset_serials.total_worked_hours as total_hours',
                                    'asset_serials.model',
                                    'manufacturers.id as manufacture_id',
                                    'manufacturers.type as manufaure_name',
                                    'asset_serials.machine_no as code',
                                    'asset_serials.next_maintenance_id',
                                    )
                                ->where('asset_serials.id',$serial_id)
                                ->get();
		
		if($equipment){
			$returnData=array('data'=>$equipment,'ticketStatus'=>$ticketStatus);			
            return response()->json(
                $returnData
             , 200);
		}
		else{
			return response()->json(
                []
             , 200);
		}
    }

    public function assetSerial(Request $request){

        $input=$request->all();
        $assetSerial=AssetSerial::where('facility_name', $input['id'])
                        ->where('status','1')
                        ->where('isDeleted','0')
                        ->select('id', DB::raw("CONCAT(machine_no,'-',serial_number) as name"))
                        ->get();

        
		if($assetSerial){			
			return response()->json(
                $assetSerial
             , 200);
		}
		else{
			return response()->json(
                []
             , 200);
		}


    }

    public function maintainceData(Request $request){
        return view('admin.assets.maintaince');
    }

    public function softwareversion(Request $request)
    {
        $input = $request->all();
        $data['status']=0;
        if($input['eq_id']>0){
            $equipDetails=Equipment::where('id',$input['eq_id'])->first();
            if($equipDetails->sw_version=='1'){
				$data['status']=1;
			}		

        }    
            //print_r($softwareversion);exit;
        return response()->json($data, 200);
        
    }

    public function region(Request $request)
    {
        $input = $request->all();
        $data=[];
        if(isset($input['id'])){
            $data=Regions::select('id','title as name')->where('parent_id', $input['id'])->where('status','1')->where('isDeleted','0')->get();
        }
        return response()->json($data, 200);
    }

    public function facility(Request $request)
    {
        $input = $request->all();
        $data=[];
        if(isset($input['id'])){
            $data=Facility::where('region_id', $input['id'])->where('status','1')->where('isDeleted','0')->get();
        }
        return response()->json($data, 200);
    }

    public function reportMonthlySummery(Request $request){
        return view('admin.reports.monthly_audit.report_summery');
    }
    public function reportMonthlyDetails(Request $request){
        return view('admin.reports.monthly_audit.report_details');
    }

    public function reportQASummery(Request $request){
        return view('admin.reports.qa_audit.report_summery');
    }

    public function reportQADetails(Request $request){
        return view('admin.reports.qa_audit.report_details');
    }

    public function equipment_search(Request $request){

        $input=$request->all();


        $equipment=Equipment::join('asset_serials', 'asset_serials.equipment_id', 'equipments.id')
                                ->join('manufacturers', 'manufacturers.id','asset_serials.manufacturers_id')
                                ->select(
                                    'asset_serials.id as asset_id',
                                    'equipments.name',
                                     DB::raw("CONCAT(equipments.name,'-',asset_serials.machine_no) as label"),                                                                     
                                    'asset_serials.total_worked_hours as total_hours',
                                    'asset_serials.model',
                                    'manufacturers.id as manufacture_id',
                                    'manufacturers.type as manufaure_name',
                                    'asset_serials.machine_no as code',
                                    'asset_serials.next_maintenance_id',
                                    'asset_serials.serial_number',
                                    'asset_serials.asset_number',
                                    'asset_serials.total_worked_hours',
                                    )
                                ->where('equipments.name','LIKE',"%{$input['search']}%")
                                ->get();
    
       

        return response()->json(
            $equipment
         , 200);

    }

    

    

	
}
