<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Session;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

//use Auth;


class AuthController extends AdminBaseController
{
 
    public function __construct()
    {
        parent::__construct();   
        
    }

    public function getLogin(Request $r)
    {
        
        return view('admin.login', $this->data);
    
    }


    public function doLogin(Request $request) {
        //validate the form data
        $this->validate($request,[
            'email' => 'required|email',
            'password' => 'required|min:6'
        ]);
        //attempt to login the admins in
        if (Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password], $request->remember)){
            //if successful redirect to admin dashboard
            //$user = auth()->guard('admin')->user();
            //print_r($user);
            //echo Auth::guard('admin')->user();
            //exit;    
            Auth::guard('admin')->login(Auth::guard('admin')->user(), true);      
            return redirect()->route('admin.dashboard');
        }
        
        //if unsuccessfull redirect back to the login for with form data
        return redirect()->back()->withInput($request->only('email','remember'));
    }
    
    public function doLogout()
    {
        Auth::guard('admin')->logout();        
        return redirect()->route('admin.login.form');
    }

    public function getPassCodeLogin(Request $r)
    {
        
        return view('admin.login_passcode', $this->data);
    
    }

    

	
}
