<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use App\Models\Banner;
use App\Models\BannerPosition;
use App\Models\Page;

class BannerController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();  
        $this->model=new Banner;
        $this->data['section']="banner";  
        $this->data['view']="banner";   
        //$this->middleware('auth:admin');
        
    }

    public function index(Request $request)
    {   
        $input=$request->all();
        $pageLimit=isset($input['rows']) ? $input['rows'] : 25; 
        $pageNumber=isset($input['page']) ? $input['page'] : 1; 
        $offset=$pageNumber*$pageLimit-$pageLimit; 

        $this->data['gridData']=Banner::whereNull('deleted_by')
                                ->orderBy('priority')
                                ->paginate($pageLimit);    
        return view('admin.banner.index',$this->data);
    
    }

    public function form(Request $r)
    {   
        $input = $r->all();
        $this->data['content']='';
        if(isset($input['id']) && $input['id']>0){
            $this->data['content']=Banner::find($input['id']);
        }
        $this->data['pages']=Page::where('status','1')->get();
        $this->data['position']=BannerPosition::where('status','1')->get();
        return view('admin.banner.form',$this->data);
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();
                
        if(isset($input['id']) && $input['id']>0){
            $page = Banner::find($input['id']);        
            $page->update($input);
        }
        else{
            $page = Banner::create($input);
        }

        return redirect()->route('admin.banner');
    
    }

    public function status(Request $request )
    {
        $input = $request->all();
        $menu = $this->model::find($input['id']);
        $menu->status=$menu->status=='1' ? '0' : '1';
        $menu->save();        
        $page = $request->input('page');
        return redirect()->route('admin.'.$this->data['view'],['identifier'=>$request->input('identifier')]);
    }

    public function priority(Request $request){
        $input = $request->all();
        $property = $this->model::where('id',$input['id'])->update(['priority'=>$input['priority']]);        
       
        
        return response()->json([
            'success'=>1,
            'text'=>'Successfully updated the priority'
         ], 200);
    }

    public function delete(Request $request)
    {
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        $message="";
        if(isset($input['id']) && count($input['id'])>0){
           foreach($input['id'] as $id){
                $object=$this->model::find($id);
                $object->deleted_at=date('Y-m-d H:i:s');
                $object->deleted_by=$user->id;
                $object->save();
           }    

        }
                
        return redirect()->route('admin.'.$this->data['view'],['identifier'=>$request->input('identifier')]);        
    }



   
    

	
}
