<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use App\Models\Master;
use App\Models\AdminMenu;



class MasterController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();      
        //$this->middleware('auth:admin');
        $this->model=new Master;
        $this->view="master";
        $this->data['route']="master";
    }

    public function index(Request $request)
    {   
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        $this->getUserActivity($input['identifier'], $user->role_id);

        $pageLimit=isset($input['rows']) ? $input['rows'] : 1000; 
        $pageNumber=isset($input['page']) ? $input['page'] : 1; 
        $offset=$pageNumber*$pageLimit-$pageLimit;  


        $menu=AdminMenu::where('identifier',$request->input('identifier'))->first();        
        $this->data['pageTitle']=$menu['title'];
        $this->data['cFields']=json_decode($menu['custom_fields'],1);
        unset($menu);
        $this->data['cFields']=$this->data['cFields']['grid'];        
        if(isset($this->data['cFields']['top_tools']))
            $this->data['top_tools']=$this->data['cFields']['top_tools']; 
            
            
        if(isset($input['identifier'])){
            $this->data['gridData']=Master::where('identifier', $input['identifier'])
                    ->whereNull('deleted_by')
                    ->orderBy('priority')
                    ->paginate($pageLimit);    
        }
          
        return view('admin.'.$this->view.'.index',$this->data );
    
    }

    public function form(Request $request)
    {   
          
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        $this->getUserActivity($input['identifier'], $user->role_id);


        $menu=AdminMenu::where('identifier',$request->input('identifier'))->first();        
        $this->data['pageTitle']=$menu['title'];
        $this->data['cFields']=json_decode($menu['custom_fields'],1);
        unset($menu);
        $this->data['cFields']=$this->data['cFields']['form'];        
        if(isset($this->data['cFields']['top_tools']))
            $this->data['top_tools']=$this->data['cFields']['top_tools']; 


        $this->data['content']=new Master();
        if(isset($input['id']) && $input['id']>0){
            $this->data['content']=Master::find($input['id']);
        }
       
       
        return view('admin.'.$this->view.'.form',$this->data );
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();

        
        if(isset($input['id']) && $input['id']>0){
            $page = Master::find($input['id']);        
            $page->update($input);
        }
        else{
            $page = Master::create($input);
        }

        return redirect()->route('admin.'.$this->view.'.form',['identifier'=>$input['identifier']]);
    
    }

    public function delete(Request $request)
    {
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        $message="";
        if(isset($input['id']) && count($input['id'])>0){
           foreach($input['id'] as $id){
                $object=Master::find($id);
                $object->deleted_at=date('Y-m-d H:i:s');
                $object->deleted_by=$user->id;
                $object->save();
           }    

        }
                
        return redirect()->route('admin.'.$this->view,['identifier'=>$request->input('identifier')])->with('message',$message );        
    }

  

    public function status(Request $request,$id)
    {  
        $input = $request->all(); 
        $object=Master::find($id);
        $status =$object['status']==1? '0' : '1';
        
        $object->status=$status;
        $object->save();

        return redirect()->route('admin.'.$this->view,['identifier'=>$request->input('identifier')]);        
    }


    public function priority(Request $request){
        $input = $request->all();
        $property = Master::where('id',$input['id'])->update(['priority'=>$input['priority']]);        
       
        
        return response()->json([
            'success'=>1,
            'text'=>'Successfully updated the priority'
         ], 200);
    }

   
    

	
}
