<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use App\Models\Page;
use App\Models\MenuMaster;

class MenuController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();      
        //$this->middleware('auth:admin');
        
    }

    public function index(Request $r)
    {   
        $input=$r->all();
        $this->data['pageTitle']=str_replace("_"," ",$input['identifier']);
        $this->data['pages']=Page::get();        
        $this->data['menu']=MenuMaster::join('pages', 'pages.id', 'menu_masters.page_id')
                            ->where('type',$input['identifier'])
                            ->where('parent_id','0')
                            ->select('menu_masters.id as menu_id','pages.id','pages.title')
                            ->orderBy('menu_masters.priority')
                            ->get();   
        return view('admin.menu.main',$this->data);
    
    }

    public function save(Request $r)
    {   
        $input=$r->all();
        MenuMaster::where('type',$input['identifier'])->delete();

        
        if(isset($input['menu_data'])){
            $menu_data=json_decode($input['menu_data'],1);
            if($menu_data){
                //level1
                foreach($menu_data as $row){
                    $menu1=MenuMaster::create([
                        'type'=>$input['identifier'],
                        'page_id'=>$row['id'],
                        'parent_id'=>0,
                        'priority'=>$row['order']
                    ]);
                    
                    if(isset($row['children'])){
                        //level2
                        foreach($row['children'] as $row2){
                                $menu2=MenuMaster::create([
                                    'type'=>$input['identifier'],
                                    'page_id'=>$row2['id'],
                                    'parent_id'=> ($input['identifier']=='main_menu' ? $menu1->id : 0),
                                    'priority'=>$row2['order']
                                ]);

                                if(isset($row2['children'])){
                                    foreach($row2['children'] as $row3){
                                        $menu3=MenuMaster::create([
                                            'type'=>$input['identifier'],
                                            'page_id'=>$row3['id'],
                                            'parent_id'=>($input['identifier']=='main_menu' ? $menu2->id : 0),
                                            'priority'=>$row3['order']
                                        ]);
                                    }
                                }


                        }
                    }

                }
            }
        }

        return redirect()->route('admin.menu',['identifier'=>$input['identifier']]);
        
    }

   
    

	
}
