<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use App\Models\Page;
use App\Models\AdminMenu;

use App\Models\PropertyGallery;

class PageController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();    
        
        $this->model=new Page;
        $this->data['section']="page";  
        $this->data['view']="page";        
        
    }

    public function index(Request $request)
    {   
        $input=$request->all();

        $menu=AdminMenu::where('identifier',$request->input('identifier'))->first();        
        $this->data['pageTitle']=$menu['title'];
        $this->data['cFields']=json_decode($menu['custom_fields'],1);
        unset($menu);
        $this->data['cFields']=$this->data['cFields']['grid'];        
        if(isset($this->data['cFields']['top_tools']))
            $this->data['top_tools']=$this->data['cFields']['top_tools']; 

        
        $pageLimit=isset($input['rows']) ? $input['rows'] : 1000; 
        $pageNumber=isset($input['page']) ? $input['page'] : 1; 
        $offset=$pageNumber*$pageLimit-$pageLimit;   

        //parse_str($_COOKIE['searchParams'],$searcharray);
        //print_R($searcharray);
        $q=Page::query();
        $q=$q->select('pages.*');
        if(isset($input['identifier'])){
            $q=$q->where('identifier', $input['identifier']);    
        }
        $this->data['gridData']=$q->whereNull('deleted_by')
                    ->orderBy('priority')
                    ->paginate($pageLimit);
        
        return view('admin.'.$this->data['view'].'.index',$this->data );
    
    }

    public function form(Request $request)
    {   
        $input = $request->all();
        $this->data['tab']=isset($input['tab']) ? $input['tab'] : 'basics';
        $menu=AdminMenu::where('identifier',$request->input('identifier'))->first();        
        $this->data['pageTitle']=$menu['title'];
        $this->data['cFields']=json_decode($menu['custom_fields'],1);
        unset($menu);
        $this->data['cFields']=$this->data['cFields']['form'];        
        if(isset($this->data['cFields']['top_tools']))
            $this->data['top_tools']=$this->data['cFields']['top_tools'];   

        //route
        switch($this->data['tab']){
                case 'description':
                    $this->data['save_route']="admin.page.save.description";
                break;
                case 'meta' :
                    $this->data['save_route']="admin.page.save";
                break;  
                default:
                    $this->data['save_route']="admin.page.save";
                break;
        }
        
        $this->data['content']=$this->model;
        if(isset($input['id']) && $input['id']>0){
            
            switch($this->data['tab']){
                case 'description':
                    $this->data['content']=Page::find($input['id']);
                break;  
                  
                default:
                    $this->data['content']=Page::where('pages.id',$input['id'])->first();
                break;
            }            
        }


        return view('admin.'.$this->data['view'].'.form',$this->data);
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();     
        if(isset($input['id']) && $input['id']>0){
            $page = Page::find($input['id']);        
            $page->update($input);
        }
        else{
            $page = Page::create($input);
        }



       
        return redirect()->route('admin.'.$this->data['view'].'.form',['identifier'=>$input['identifier'], 'tab' =>$input['tab'],'id'=>$page->id]);
    
    }

    public function save_description(Request $r){
        $input = $r->all(); 
        if(isset($input['id']) && $input['id']>0){            
            $page = Page::find($input['id']);  
            
            $input['content']=$this->convertimage($input['content'], $page->title);   
            
            $search = ["../", "../../", "../../../", "../../../../"];
            $input['content']=str_replace($search, '',$input['content']);

            $page->update($input);
        }
        

        return redirect()->route('admin.'.$this->data['view'].'.form',['identifier'=>$input['identifier'], 'tab' =>$input['tab'],'id'=>$page->id]);
    }

    public function save_gallery(Request $request){
        $input = $request->all(); 

        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $name = time().'.'.$image->getClientOriginalExtension();
            
            $destinationPath = public_path('/uploads');            
            if (!file_exists($destinationPath)) {
                mkdir($destinationPath);
                chmod($destinationPath,0777);
            }
            
            $destinationPath = public_path('/uploads/pages');
            if (!file_exists($destinationPath)) {
                mkdir($destinationPath);
                chmod($destinationPath,0777);
            }
            
            $image->move($destinationPath, $name);
            chmod($destinationPath."/". $name ,0777);
            $input['image'] =$name;            

        }
        //print_r($input);exit;
        if(isset($input['id']) && $input['id']>0){
            $gallery=PropertyGallery::find($input['id']);
            $gallery->update($input);
        }
        else{
            $input['type']="gallery";
            PropertyGallery::create($input);
        }
        return redirect()->route('admin.'.$this->data['view'].'.form',['identifier'=>$input['identifier'], 'tab' =>$input['tab'],'id'=>$input['page_id']]);

    }

    public function save_floor(Request $request){
        $input = $request->all(); 

        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $name = time().'.'.$image->getClientOriginalExtension();
            
            $destinationPath = public_path('/uploads');            
            if (!file_exists($destinationPath)) {
                mkdir($destinationPath);
                chmod($destinationPath,0777);
            }
            
            $destinationPath = public_path('/uploads/pages');
            if (!file_exists($destinationPath)) {
                mkdir($destinationPath);
                chmod($destinationPath,0777);
            }
            
            $image->move($destinationPath, $name);
            chmod($destinationPath."/". $name ,0777);
            $input['image'] =$name;            

        }
        //print_r($input);exit;
        if(isset($input['id']) && $input['id']>0){
            $gallery=PropertyGallery::find($input['id']);
            $gallery->update($input);
        }
        else{
            $input['type']="floor";
            PropertyGallery::create($input);
        }
        return redirect()->route('admin.'.$this->data['view'].'.form',['identifier'=>$input['identifier'], 'tab' =>$input['tab'],'id'=>$input['page_id']]);

    }

    

    public function delete(Request $request)
    {
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        $message="";
        if(isset($input['id']) && count($input['id'])>0){
           foreach($input['id'] as $id){
                $object=Page::find($id);
                $object->deleted_at=date('Y-m-d H:i:s');
                $object->deleted_by=$user->id;
                $object->save();
           }    

        }
                
        return redirect()->route('admin.'.$this->data['view'],['identifier'=>$request->input('identifier')])->with('message',$message );        
    }

  

    public function status(Request $request)
    {  
        $input = $request->all(); 
        $object=Page::find($input['id']);
        $status =$object['status']==1? '0' : '1';
        
        $object->status=$status;
        $object->save();

        return redirect()->route('admin.'.$this->data['view'],['identifier'=>$request->input('identifier')]);        
    }


    public function priority(Request $request){
        $input = $request->all();
        $property = Page::where('id',$input['id'])->update(['priority'=>$input['priority']]);        
       
        
        return response()->json([
            'success'=>1,
            'text'=>'Successfully updated the priority'
         ], 200);
    }

    public function delete_gallery(Request $request){
        $input = $request->all();
        PropertyGallery::where('id',$input['id'] )->delete();
        return response()->json([
            'success'=>1,
            'text'=>'Successfully deleted'
         ], 200);
    }

    public function delete_floor(Request $request){
        $input = $request->all();
        PropertyGallery::where('id',$input['id'] )->delete();
        return response()->json([
            'success'=>1,
            'text'=>'Successfully deleted'
         ], 200);
    }

	
}
