<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use DB;
use App\Models\Role;
use App\Models\AdminMenu;
use App\Models\AdminMenuActivity;
use App\Models\AdminMenuActivityMaster;
use App\Models\RolePermission;
use App\Models\RoleMenuActivity;

class RoleController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct(); 

        $this->model=new Role;
        $this->view="role";
   
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function index(Request $r)
    {
        $input = $r->all();
        $user=auth()->guard('admin')->user();
        $this->getUserActivity('role', $user->role_id);

        $pageLimit=isset($input['rows']) ? $input['rows'] : 25; 
        $pageNumber=isset($input['page']) ? $input['page'] : 1; 
        $offset=$pageNumber*$pageLimit-$pageLimit;   

        $q=$this->model->query();
        if(isset($input['name'])){
            $q=$q->where('name',$input['name']);
        }
        $this->data['gridData']=$q->paginate($pageLimit); 
        
        return view('admin.'.$this->view.'.index',$this->data );

    
    }
    public function form(Request $r)
    {   
        $input = $r->all();
        $user=auth()->guard('admin')->user();
        $this->getUserActivity('role', $user->role_id);
        
        $this->data['content']='';
        if(isset($input['id']) && $input['id']>0){
            $this->data['content']=$this->model->find($input['id']);
        }
        
        $this->data['menuItems']=AdminMenu::where('status','1')->where('parent_id','!=','0')->orderBy('parent_id')->get();
        $this->data['activityMaster']=AdminMenuActivityMaster::orderBy('priority')->get();
        return view('admin.'.$this->view.'.form',$this->data);
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();

        
                
        if(isset($input['id']) && $input['id']>0){
            RolePermission::where('role_id',$input['id'])->delete();
            RoleMenuActivity::where('role_id',$input['id'])->delete();
            $page = $this->model->find($input['id']);        
            $page->update($input);
        }
        else{
            $page = $this->model->create($input);
        }

        if(isset($input['menu_activity_id']) && count($input['menu_activity_id'])>0){
            foreach($input['menu_activity_id'] as $val){
                RoleMenuActivity::create([
                    'role_id' => $page->id,
                    'activity_id'=>$val
                ]);

                $adminMenuActivity=AdminMenuActivity::find($val);
                $rolePermission=RolePermission::where('menu_id',$adminMenuActivity->admin_menu_id)->where('role_id',$page->id)->first();
                if(empty($rolePermission)){
                    RolePermission::create([
                        'menu_id' =>$adminMenuActivity->admin_menu_id,
                        'role_id' => $page->id
                    ]);
                }
                
            }
        }

        return redirect()->route('admin.'.$this->view);
    
    }

    public function status(Request $request ,$id)
    {
        $menu = $this->model->find($id);
        $menu->status=$menu->status=='1' ? '0' : '1';
        $menu->save();        
        //$page = $request->input('page');
        return redirect()->route('admin.'.$this->view,['identifier'=>$request->input('identifier')]);
    }

    public function priority(Request $request){
        $input = $request->all();
        $menu = $this->model->find($input['id']);        
        $menu->update(array('priority'=>$input['priority']));

        return response()->json([
            'success'=>1,
            'text'=>'Successfully updated the priority'
         ], 200);
    }

    public function delete(Request $request)
    {
        $input = $request->all();
        if(isset($input['id']) && count($input['id'])){
            $this->model->whereIn('id', $input['id'])->delete(); 
        }
                
        return redirect()->route('admin.'.$this->view,['identifier'=>$request->input('identifier')]);        
    }

   

	
}
