<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;
use DB;

use App\Models\WidgetMaster;
use App\Models\WidgetContent;
use App\Models\Page;

class WidgetController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();      
        //$this->middleware('auth:admin');
        
    }

    public function index(Request $r)
    {   
        $this->data['gridData']=WidgetMaster::get();    
        return view('admin.widget.index',$this->data);
    
    }

    public function form(Request $r)
    {   
          
        $input = $r->all();

        $widget=WidgetMaster::where('widget_identifier',$r->input('widget_identifier'))->first();  
        $this->data['pageTitle']=$widget['title'];
        $this->data['cFields']=json_decode($widget['custom_fields'],1);
        

        $this->data['content']='';
        if(isset($input['id']) && $input['id']>0){

           
            $this->data['formData']=WidgetContent::where('id',$input['id'])->first();  
            $this->data['content']=json_decode($this->data['formData']->custom_fields,1);          

           

        }
        
        if(isset($this->data['cFields']['grid'])){
             $this->data['gridData']=WidgetContent::where('widget_identifier',$r->input('widget_identifier'))->get(); 
        }
        else{
            $this->data['formData']=WidgetContent::where('widget_identifier',$r->input('widget_identifier'))->first();  
            if(isset($this->data['formData'])){
                $this->data['content']=json_decode($this->data['formData']->custom_fields,1);
            }
        }
        
           // print_R($this->data['content']);
       
       
        return view('admin.widget.form',$this->data);
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();
        $widget=WidgetMaster::where('widget_identifier',$r->input('widget_identifier'))->first();  
        $this->data['pageTitle']=$widget['title'];
        $this->data['cFields']=json_decode($widget['custom_fields'],1);
        

        if(isset($input['section_table'])){
            $query=DB::table($input['section_table']);
            if(isset($input['identifier'])){
                $query=$query->where('identifier',$input['identifier']);
            }            
            $query->where('is_featured','1')->update(['is_featured'=>'0']);

            $featured_ids=explode("|", $input['featured_ids']);
            if(isset($featured_ids) && count($featured_ids)){                
                foreach($featured_ids as $id){
                    DB::table($input['section_table'])->where('id',$id)->update(['is_featured' => '1']);
                }
            }
        }
        
        $input['custom_fields']=json_encode( $input);
        if(isset($input['id']) && $input['id']>0){
            $page = WidgetContent::find($input['id']);        
            $page->update($input);
        }
        else{
            $page = WidgetContent::create($input);
        }



        if(isset($this->data['cFields']['grid'])){
            return redirect()->route('admin.widget.form',['widget_identifier'=>$input['widget_identifier']]);
        }
        else{
            return redirect()->route('admin.widget',['widget_identifier'=>$input['widget_identifier']]);
        }

       
    
    }


    public function delete(Request $request, $id)
    {
        $input = $request->all();
        $user=auth()->guard('admin')->user();
        WidgetContent::where('id',$id )->delete();
                
        return redirect()->route('admin.widget.form',['widget_identifier'=>$input['widget_identifier']]);
        
        
    }

  

   
    

	
}
