<?php

namespace App\Http\Controllers\fe;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use DB;
use Redirect;
use App\Models\User;
use App\Models\Page;
use App\Models\Master;
use App\Models\Student;
use App\Models\StudentCourse;
use App\Models\Country;
use App\Models\State;
use App\Models\Setting;


use App\Mail\SendMail;

class AdmissionController extends FeBaseController
{

    public function __construct()
    {
       
        parent::__construct(); 
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */

   

     public function admissionform(Request $r)
     {


         $this->data['pageTitle']="Admission";
         $this->data['courses']= Page::where('identifier','courses')->orderBy('priority','ASC')->get();
        
         return view('fe.admissionform',$this->data);
     }

     public function admissionSave(Request $r)
     {
                $input=$r->all();
                if(isset($input['dob'])){
                    $input['dob']=date('Y-m-d',strtotime($input['dob']));
                }
                if(isset($input['language_known'])){
                   // $input['language_known_array']=$input['language_known'];
                    $input['language_known']= implode(",", $input['language_known']);
                }

               // print_r($input);exit;
                $student=Student::create($input);


                $input['subject']  = "Admission Step1: Basic Info";
                $input['template']='emails.admission_step1';

                Mail::to(config('general.MAIL_TO_ADDRESS'))->bcc(config('general.MAIL_BCC_ADDRESS'))->send(new SendMail($input)); 
                
                return Redirect()->route('admission-courses',['id'=>$student]);
     }


     public function admissionCourses(Request $r, $id)
     {
         $this->data['pageTitle']="Courses";
         $this->data['id']=$id;

         $this->data['courses']= Master::where('identifier','course_category')
                                    ->where('status','1')
                                    ->whereNull('deleted_by')
                                    ->orderBy('priority','ASC')->get();
        
         return view('fe.courses',$this->data);
     }

     public function admissionCourseSave(Request $r)
     {
         $input=$r->all(); 
        
           
         if(isset($input['course_id'])){
                $mailContent=[];
                $tFee=0;
                foreach($input['course_id'] as $row){
                    $course=Page::find($row);
                    $studentCourse=StudentCourse::create([
                        'student_id' => $input['id'],
                        'subject_id' =>$course->id,
                        'subject' =>$course->title,
                        'details' => $course->short_description,
                        'fee'=> $course->amount,

                    ]);

                    $tFee+=$course->amount;

                    $mailContent[]=$studentCourse;
                }

                $settings=Setting::where('identifier', 'COURSE_DATA')->first();
               
                $settings=json_decode($settings->value);
                

                $input['subject']  = "Admission Step2: Course Subjects ";
                $input['template']='emails.admission_step2';
                $input['courses']=$mailContent;
                $student= Student::find($input['id']);

                $student->admission_fe=$settings->common_admission_fee;
                $student->course_fee_total=$tFee;
                $student->grand_total = ($tFee+$settings->common_admission_fee);
                $student->save();

                $input['student']=$student;

                Mail::to(config('general.MAIL_TO_ADDRESS'))->bcc(config('general.MAIL_BCC_ADDRESS'))->send(new SendMail($input)); 
         }


        
        return Redirect()->route('admission-payment',['id'=>$r->id]);
     }



     public function admissionPayment(Request $r, $id)
     {
         $this->data['pageTitle']="Payment";

         $this->data['id']=$id;

         $this->data['student']= Student::find($id);
         $this->data['courses']= StudentCourse::where('student_id',$id)->get();
        
         return view('fe.payment',$this->data);
     }

     public function admissionPaymentSave(Request $r)
     {
         
        $input=$r->all(); 
        $student= Student::find($input['id']);
        $student->transaction_id=$input['transaction_id'];
        $student->save();

        $input['subject']  = "Admission Step3: Payment Details ";
        $input['template']='emails.admission_step3';
        $input['courses']= StudentCourse::where('student_id',$input['id'])->get();
        $input['student']=$student;

        Mail::to(config('general.MAIL_TO_ADDRESS'))->bcc(config('general.MAIL_BCC_ADDRESS'))->send(new SendMail($input)); 
        
        return Redirect()->route('success');
     }

  
	
}
