<?php

namespace App\Http\Controllers\fe;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use DB;


class AuthController extends FeBaseController
{

    public function __construct()
    {
       
        parent::__construct(); 
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */

   

    public function login(Request $request)
    {
        //validate the form data
        $this->validate($request,[
            'email' => 'required|email',
            'password' => 'required|min:6'
        ]);
        //attempt to login the admins in
        if (Auth::guard('web')->attempt(['email' => $request->email, 'password' => $request->password], $request->remember)){
            Auth::guard('web')->login(Auth::guard('web')->user(), true);      
            return redirect()->route('dashboard');
        }
        
        //if unsuccessfull redirect back to the login for with form data
        return redirect()->back()->withInput($request->only('email','remember'));
    }

    public function dashboard(Request $r)
    {
        $this->data['pageTitle']="Dashboard";
        return view('fe.user.dashboard',$this->data );
    }
    

    

	
}
