<?php
namespace App\Http\Controllers\fe;

use App\Http\Controllers\Controller;
use App\Repositories\ProductRepository;

use Request;
use Cookie;
use App\Models\General;
use App\Models\Page;
use App\Models\Master;
use App\Models\Banner;
use App\Models\Widget;

class FeBaseController extends Controller
{
    
    protected $data=[];

    public function __construct()
    {
       
       $this->metaData();   
       $this->get_visitor_country();

      

       $this->data['mainmenu']=Page::join('menu_masters','menu_masters.page_id','=','pages.id')
       ->where('menu_masters.parent_id',0)
       ->where('menu_masters.type','main_menu')
       ->orderBy('menu_masters.priority')
       ->select('menu_masters.*','pages.title','pages.slug_url')
       ->get();


       $this->data['footer_links']=Page::join('menu_masters','menu_masters.page_id','=','pages.id')
       ->where('menu_masters.parent_id',0)
       ->where('menu_masters.type','footer')
       ->orderBy('menu_masters.priority')
       ->select('menu_masters.*','pages.title','pages.slug_url')
       ->get();


       $this->data['quick_links']=Page::join('menu_masters','menu_masters.page_id','=','pages.id')
       ->where('menu_masters.parent_id',0)
        ->where('menu_masters.type','quick_links')
        ->select('menu_masters.*','pages.title','pages.slug_url')
        ->get();


        $this->data['news']=Page::where('identifier','news')->orderBy('priority','ASC')->get();



        $this->data['category']=Page::where('identifier','scrolling')
                                    ->where('status','1')
                                    ->whereNull('deleted_by')
                                    ->orderBy('priority','ASC')->get();



        $this->data['HEADER_MOBILE'] =Widget::where('widget_identifier','HEADER_MOBILE')->first();
        $this->data['HEADER_EMAIL'] =Widget::where('widget_identifier','HEADER_EMAIL')->first();
        $this->data['FOOTER_EMAIL'] =Widget::where('widget_identifier','FOOTER_EMAIL')->first();
        $this->data['FOOTER_MOBILE'] =Widget::where('widget_identifier','FOOTER_MOBILE')->first();
        $this->data['FOOTER_CONTACT'] =Widget::where('widget_identifier','FOOTER_CONTACT')->first();
        $this->data['WHATSAPP_NO'] =Widget::where('widget_identifier','WHATSAPP_NO')->first();

    }


    public function metaData(){
        $urlSegment= Request::segments(1);
        if(empty($urlSegment)){
            $urlSegment[0]="/";
        }
        $this->data['url_seg_id']=end($urlSegment); 
    }

    public function  get_visitor_country(){
        
        // if(Cookie::has('VISITOR_IP_COUNTRY')){  
        //     $this->data['VISITOR_IP_COUNTRY']=Cookie::get("VISITOR_IP_COUNTRY"); 
        // }
        // else{
        //     $response=json_decode(file_get_contents("https://api.ipify.org/?format=json"),1);
        //     if(isset($response)){
        //         $response=json_decode(file_get_contents("http://www.geoplugin.net/json.gp?ip=".$response['ip']),1);                
        //         $this->data['VISITOR_IP_COUNTRY']=$response['geoplugin_countryCode'];
        //     }
        // }

        $this->data['VISITOR_IP_COUNTRY']='INR';
		
	}

}
