<?php

namespace App\Http\Controllers\fe;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use DB;
use App\Models\User;
use App\Models\Page;
use App\Models\Master;
use App\Models\Contact;
use App\Models\Banner;
use App\Models\News;
use App\Models\Country;
use App\Models\State;
use App\Models\Download;
use App\Models\Gallery;

use App\Mail\SendMail;
use App\Models\Widget;

class HomeController extends FeBaseController
{

    public function __construct()
    {
       
        parent::__construct(); 
    }
    /**
     * Create a new controller instance.
     *
     * @return void
     */

   

    public function index(Request $r)
    {
           
        //$this->data['subject']="1";
        //$this->data['template']="emails.admission";

        //Mail::to('manojvijayanaluva@gmail.com')->send(new SendMail($this->data)); 

        $this->data['banners']=Banner::leftJoin('pages','banners.page_id','=','pages.id')
        ->select('banners.*','pages.slug_url')
        ->where('banners.status',1)
        ->orderby('banners.priority','ASC')->get() ;
        
      
       $this->data['course_category']=Master::where('identifier','course_category')
                                ->where('status','1')
                                ->whereNull('deleted_by')
                                ->orderBy('priority','ASC')->get();
       
       $this->data['courses']=Page::where('identifier','courses')
       ->where('category_id',$this->data['course_category'][0]->id)
       ->orderBy('priority','ASC')->get();

       $this->data['governingbody']=Page::where('identifier','governing_body')->where('status','1')->whereNull('deleted_by')->orderBy('priority','ASC')->get();

       $this->data['faculties']=Page::where('identifier','faculty')->where('status','1')->whereNull('deleted_by')->orderBy('priority','ASC')->get();
       $this->data['events']=Gallery::where('identifier','silver-jubilee')->where('status','1')->whereNull('deleted_by')->orderBy('priority','ASC')->get();
       $this->data['achievements']=Gallery::where('identifier','awards')->where('status','1')->whereNull('deleted_by')->orderBy('priority','ASC')->get();

       $this->data['HOME_VIDEO'] =Widget::where('widget_identifier','HOME_VIDEO')->first();


       return view('fe.index',$this->data );

    
    }
    
    public function content(Request $r,$slug)
    {
        
        $this->data['pages']=Page::leftJoin('page_layouts','page_layouts.id','pages.layout_id')->where('pages.slug_url',$slug)
                            ->orWhere('pages.id', $slug)
                            ->select('pages.*', 'page_layouts.blade_name','page_layouts.table_name','page_layouts.identifier as section_identifier', 'page_layouts.query_str')
                            ->first();
                            

        $this->data['pageTitle']=$this->data['pages']['title'];
        $view=isset($this->data['pages']['blade_name']) ? $this->data['pages']['blade_name'] : 'content';
        
        if(isset($this->data['pages']['table_name'])){
            $this->data['listData']=DB::table($this->data['pages']['table_name'])
                                        ->where('identifier', $this->data['pages']['section_identifier'])
                                        ->get();
                                        
        }
        return view('fe.'.$view,$this->data);


        DB::table('users')
            ->join('contacts', 'users.id', '=', 'contacts.user_id')
            ->join('orders', 'users.id', '=', 'orders.user_id')
            ->select('users.*', 'contacts.phone', 'orders.price')
            ->get();

        return view('fe.'.$view,$this->data);    

    }

   
   
     public function success(Request $r)
    {
        $this->data['pageTitle']='Success';
        $this->data['message']="Successfully Saved";
        return view('fe.success',$this->data);
    } 

    

	
}
