<?php

namespace App\Repositories;


use DB;
use App\Models\Booking;


class BookingRepository 
{
    //

   

    public static function getRow($id){
         
        
        $data=Booking::leftJoin('masters as category', 'category.id', '=', 'bookings.category_id')
                    ->leftJoin('masters as devotee', 'devotee.id', '=', 'bookings.devotee_type_id')
                    ->leftJoin('masters as state', 'state.id', '=', 'bookings.state_id')
                    ->leftJoin('masters as tongue','tongue.id', '=', 'bookings.mother_tongue_id')
                    ->leftJoin('masters as bstar','bstar.id', '=', 'bookings.birth_star_id')
                    ->leftJoin('masters as rashi', 'rashi.id', '=', 'bookings.rashi_id')
                    ->leftJoin('masters as visitType', 'visitType.id', '=', 'bookings.visit_type_id')      
                    ->leftJoin('masters as kramasankya', 'kramasankya.id', '=', 'bookings.kramasankya_id')   
                                ->select('bookings.*', 'category.title as category_name', 
                                    'devotee.title as devotee_name',
                                    'state.title as state_name', 
                                    'tongue.title as tongue_name',
                                    'bstar.title as star_name',
                                   'rashi.title as rashi_name', 
                                   'kramasankya.title as kramasankya_name',
                                   'visitType.title as visit_type' )            
                    ->where('bookings.id', $id)                   
                    ->first();
        
        return $data;
    }

    public static function getAll($r){
         
        $input=$r->all();
        
        $pageLimit=isset($input['rows']) ? $input['rows'] : 25; 
        $pageNumber=isset($input['page']) ? $input['page'] : 1; 
        $offset=$pageNumber*$pageLimit-$pageLimit;   

        $query=Booking::leftJoin('masters as category', 'category.id', '=', 'bookings.category_id')
            ->leftJoin('masters as devotee', 'devotee.id', '=', 'bookings.devotee_type_id')
            ->leftJoin('masters as state', 'state.id', '=', 'bookings.state_id')
           ->leftJoin('masters as tongue','tongue.id', '=', 'bookings.mother_tongue_id')
            ->leftJoin('masters as bstar','bstar.id', '=', 'bookings.birth_star_id')
            ->leftJoin('masters as rashi', 'rashi.id', '=', 'bookings.rashi_id')
            ->leftJoin('masters as kramasankya', 'kramasankya.id', '=', 'bookings.kramasankya_id')  
            ->leftJoin('masters as visitType', 'visitType.id', '=', 'bookings.visit_type_id')      
        ->select('bookings.*', 'category.title as category_name', 'devotee.title as devotee_name',
                 'state.title as state_name',
                  'tongue.title as tongue_name',
                   'bstar.title as star_name', 
                   'rashi.title as rashi_name', 
                   'kramasankya.title as kramasankya_name',
                    'visitType.title as visit_type'
                );
        
        if(isset($input['name'])){
            $query=$query->where('bookings.name',$input['name']);
        } 
        
        if(isset($input['email'])){
            $query=$query->where('bookings.email',$input['email']);
        } 

        if(isset($input['mobile'])){
            $query=$query->where('bookings.phone',$input['mobile']);
        } 

        if(isset($input['visit_type_id'])){
            $query=$query->where('bookings.visit_type_id',$input['visit_type_id']);
        } 

        if(isset($input['state_id'])){
            $query=$query->where('bookings.state_id',$input['state_id']);
        } 

        if(isset($input['category_id'])){
            $query=$query->where('bookings.category_id',$input['category_id']);
        } 
        if(isset($input['devotee_type_id'])){
            $query=$query->where('bookings.devotee_type_id',$input['devotee_type_id']);
        } 
        if(isset($input['state_id'])){
            $query=$query->where('bookings.state_id',$input['state_id']);
        } 
        if(isset($input['mother_tongue_id'])){
            $query=$query->where('bookings.mother_tongue_id',$input['mother_tongue_id']);
        } 
        if(isset($input['birth_star_id'])){
            $query=$query->where('bookings.birth_star_id',$input['birth_star_id']);
        }
        if(isset($input['rashi_id'])){
            $query=$query->where('bookings.rashi_id',$input['rashi_id']);
        } 
        if(isset($input['kramasankya_id'])){
            $query=$query->where('bookings.kramasankya_id',$input['kramasankya_id']);
        } 
        if(isset($input['from_date'])){
            $from_date=implode("-",(array_reverse(explode("-",$input['from_date']))));
            $query=$query->where('bookings.visit_date','>=',$from_date);
        } 
        if(isset($input['to_date'])){
            $to_date=implode("-",(array_reverse(explode("-",$input['to_date']))));
            $query=$query->where('bookings.visit_date','<=',$to_date);
        } 

        $query=$query->orderBy('bookings.visit_date','ASC');
        if(isset($input['export'])){
            $data=$query->get(); 
        }
        else{
            $data=$query->paginate($pageLimit); 
        }
        
        //print_r($data); 
        return $data;

    }


    


}