<?php
$loginUser=auth()->guard('admin')->user();
$adminUser=\App\Models\AdminUser::where('user_id', $loginUser->id)->first();

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{$settings['title']}}</title>
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="{!! asset('public/admin/plugins/fontawesome-free/css/all.min.css') !!}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{!! asset('public/admin/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') !!}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{!! asset('public/admin/dist/css/adminlte.css?2') !!}">

   <!-- summernote -->
   <link rel="stylesheet" href="{!! asset('public/admin/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css') !!}">

  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="{!! asset('public/app/bootstrap-datepicker.min.css') !!}"/>
 <style>

.errormessage {
    -webkit-transform: translateY(-10px);
    -ms-transform: translateY(-10px);
    transform: translateY(-10px);
    color: #fff;
    font-weight: bold;
    position: absolute;
  
    line-height: 16px;
    padding: 2px 12px;
    font-size: 12px;
    background: red;
    -webkit-box-shadow: rgba(0,0,0,0.05) 1px 1px 2px 0;
    box-shadow: rgba(0,0,0,0.05) 1px 1px 2px 0;
    z-index: 3;
    -webkit-border-radius: 3px;
    border-radius: 3px; 
    margin-top: 8px;
    pointer-events: none !important;
    display:none;
  }
  input:focus + .help{
    display:block;
  }
  .errormessage::after{
    content:"";
    position:absolute;
    width:0;
    height:0;
    border-width:5px;
    border-style:solid;
    border-color:transparent transparent #e6ab9e;
    bottom:100%;  
    left:0px;
  }
  .datepicker{
    z-index:99999 !important;
  }
  </style>
  @yield('style')

</head>
<body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item ">
        <a href="{{route('admin.dashboard')}}" class="nav-link">Home</a>
      </li>
      
    </ul>

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
     
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
     
      <!-- notification --> 
      <!-- end notification --> 
    

      <li class="nav-item" >
        <a class="nav-link"  href="{{route('admin.logout')}}" ><img src="{!! asset('public/admin/dist/img/logout.png') !!}" alt="Logout" title="Logout" style="width:25px;position:relative;top:-3px;"></a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4 " >
    <!-- Brand Logo -->
    <a href="{{route('admin.dashboard')}}" class="brand-link">
          <img src="{!! asset('public/admin/dist/img/AdminLTELogo.png') !!}"
           alt="{{$settings['title']}}"
           class="brand-image img-circle elevation-3"
           style="opacity: .8">
           <span class="brand-text font-weight-light">{{$settings['title']}}</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{!! asset('public/admin/dist/img/avatar5.png') !!}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">{{$adminUser->first_name}}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
      <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

          <?php if(isset($leftMenu)){
            foreach($leftMenu as $key=>$cat){               
                $submenu = DB::table('admin_menus')
                  ->join('role_permissions', 'role_permissions.menu_id', '=', 'admin_menus.id')
                  ->where('role_permissions.role_id', Auth::guard('admin')->user()->role_id)
                  ->where('admin_menus.status', '1')   
                  ->where('admin_menus.parent_id',$cat['id'])              
                  ->select('admin_menus.id','admin_menus.title','admin_menus.query_str','admin_menus.admin_route','admin_menus.icon','admin_menus.identifier')
                  ->groupBy('admin_menus.id')
                  ->orderBy('admin_menus.priority','ASC')
                  ->orderBy('admin_menus.title','ASC')
                  ->get();
                
              ?>  

              <?php  
                
            if(isset($submenu) && count($submenu)>0){?>

            <li class="nav-item has-treeview <?php echo $key==0? 'menu-open' : 'menu-open' ?>">
            <a href="#" class="nav-link active">
              <i class="<?php echo $cat->icon?>"></i>
              <p>
                <?php echo $cat->title?>
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            
                  <ul class="nav nav-treeview">
                    <?php foreach($submenu as $sub){
                      $query_str='identifier='.$sub->identifier.'&'.$sub->query_str;
                    ?>
                    <li class="nav-item">
                      <a href="javascript:void(0);" onclick="goToPage('{!! route($sub->admin_route, [ $query_str ]) !!}')" class="nav-link">
                        <i class="<?php echo $sub->icon?>"></i>
                        <p><?php echo $sub->title?></p>
                      </a>
                    </li> 
                    <?php } ?>

                  </ul>
          
            
          </li>
          <?php } ?>
          <?php } }?>
          
         
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>
  <!-- Main Sidebar Container -->

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->   

    <!-- Main content -->
    @yield('content') 
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- <footer class="main-footer">   
    <strong>Copyright &copy; <?php echo date('Y');?>&nbsp;<a href="#">{{$settings['title']}}</a>.</strong> All rights
    reserved RenalTeck LLC.
  </footer> -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->

<script src="{!! asset('public/admin/plugins/jquery/jquery.min.js') !!}"></script>
<!-- Bootstrap -->
<script src="{!! asset('public/admin/plugins/bootstrap/js/bootstrap.bundle.min.js') !!}"></script>
<!-- overlayScrollbars -->
<script src="{!! asset('public/admin/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') !!}"></script>
<!-- AdminLTE App -->
<script src="{!! asset('public/admin/dist/js/adminlte.js') !!}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<!-- PAGE SCRIPTS -->

<script src="{!! asset('public/app/bootstrap-datepicker.min.js')  !!}"></script>
<script>

  function goToPage(url){  
    $.removeCookie('searchData', { path: '/' });
    window.location=url;
  }

  

  $('.datepicker').datepicker(
          {
            format: 'dd-mm-yyyy',           
           
          }
  ).on('change', function(){           
            $('.datepicker-dropdown').hide();
            
        });


 function handler1() {
    // $('.main-sidebar').css('width','250px');
    // $(this).one("click", handler2);
    $('.sidebar').animate({
        width: "250px"
    }, 375);
    $(this).one("click", handler2);
}
function handler2() {
    $('.sidebar').animate({
        width: "74px"
    }, 375);
    $(this).one("click", handler1);
}
$(".navbar-nav").one("click", handler1);
 


 

</script>

@yield('javascript')  

</body>
</html>
