@extends('admin.layouts.master')

@section('content')

<?php
use App\Models\Product;
?>



<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            
            <h1 class="m-0 text-dark">{{ucwords(str_replace('_',' ',app('request')->input('identifier')))}}</h1>
            
          </div><!-- /.col -->
          <div class="col-sm-6">
            <div class="breadcrumb float-sm-right">

                    <a class=" btn btn-primary btn-sm"  href="{{route('admin.'.$route,['identifier'=>request()->identifier])}}" style="margin-right:5px;"><i class="fa fa-bars"></i>&nbsp;List All</a>
                     <?php if(in_array('create', $permissions)){?>
                     <a class=" btn btn-primary btn-sm"  href="{{route('admin.'.$route.'.form',['identifier'=>request()->identifier])}}" style="margin-right:5px;"><i class="fa fa-save"></i>&nbsp;Create New</a>
                     <?php } ?>
                     <?php if(in_array('delete', $permissions)){?>
                     <a class=" btn btn-danger btn-sm"  href="javascript:void(0);" id="btn_delete_all"><i class="fa fa-trash" aria-hidden="true"></i>&nbsp;Delete All</a>
                      <?php } ?>

              
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>


    <form id="frm_search" method="GET" action="">
        <input type="hidden" name="page" id="page_no">
        <input type="hidden" name="export" id="export">
        <input type="hidden" name="identifier" value="{{request()->identifier}}">
   </form>


<section class="content">


      <div class="container-fluid">
       
        
        <div class="row">
          <div class="col-12">
            <div class="card">
              
              <!-- /.card-header -->
              <div class="card-body table-responsive p-0" id="grid-table" >
              <form id="frm_listing" method="POST" action="{{route('admin.'.$route.'.delete')}}">
              {!! csrf_field() !!}
              <input name="_method" type="hidden" value="delete">
              <input name="identifier" type="hidden" value="{{request()->identifier}}">
              <input type="hidden" name="page" id="page_no">
              <table id="example" class="table table-head-fixed table-striped table-bordered table-hover text-nowrap" cellspacing="0" width="100%">
                <thead>
                <tr>
                    <th class="col-sm-1" style="width:3%">#</th> 
                    <td><input type="checkbox" id="checkAll"></td>
                    <th class="col-sm-1">Priority</th>
                    <th class="col-sm-10">Title</th>
                    <th class="col-sm-10">Status</th>
                    <th>Actions</th>
                </tr>
                </thead>
        
        <tbody>
            @if(isset($gridData))    
            @foreach($gridData as $key=>$val)
                <tr>
                <td>{{ (($gridData->currentPage()-1)*$gridData->perPage())+$key+1 }}</td> 
                    <td><input type="checkbox" name="id[]" class="delete_row_id" value="{{$val->id}}"></td>
                    <td><input type="textbox"  class="form-control priority only-numeric" value="{{$val->priority}}" name="priority" data-rowId="{{$val->id}}"> </td>
                    <td>{{$val->title}}</td>
                    <td><a   title="<?php echo ($val->status == '1') ? 'Active': 'Inactive' ?>"><i class="<?php echo ($val->status == '1') ? 'fa fa-check ': 'fa fa-ban' ?>" style="color:<?php echo ($val->status == '1') ? 'green': 'red' ?>;"></i></a> </td>
                    <td>
                       <?php if(in_array('edit', $permissions)){?>
                        <a class="btn-sm btn-primary" href="{{route('admin.'.$route.'.form', ['id'=>$val->id, 'identifier'=>request()->identifier])}}"><i class="fa fa-pencil-square-o" aria-hidden="true"></i>Edit</a>
                        <?php } ?>
                        <?php if(in_array('delete', $permissions)){?>
                        <a class="btn-sm btn-danger deleteRow" href="javascript:void(0);" ><i class="fa fa-trash" aria-hidden="true"></i>Delete</a>
                        <?php } ?>
                        <?php if(in_array('status', $permissions)){?>
                        <a class="btn-sm btn-warning" href="{{route('admin.'.$route.'.status', ['id'=>$val->id, 'identifier'=>request()->identifier])}}"><i class="fa fa-ban" aria-hidden="true"></i>Change Status</a>
                         <?php } ?>  
                    </td> 
                </tr>
                   
            @endforeach 
            @endif    
        
        </tbody>
    </table>


                        </form>
               
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>




    

    <footer class="main-footer" style="padding:0px;">
  @include('admin.pagination')
</footer>


@stop



@section('javascript')
<script>
<?php
if(Session::get('message')){?>
Swal.fire({
        title: 'Sorry!',
        text: "{{Session::get('message')}}",
        icon: 'info',
});

<?php } ?>
function deleteRow(id,qry){				
	Swal.fire({
        title: 'Are you sure?',
        text: "You want to delete this data!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, continue!'
        }).then((result) => {
        if (result.value) {
            window.location="page/delete/"+id+"?"+qry;
        }
    });	
}


$(document).on('blur','.priority',function(event) { 
//$(".priority").blur(function(){
    $('#overlay').show();
    var id=  $(this).attr('data-rowId');    
    var priority=$(this).val();
    var _token = $("input[name='_token']").val();
    $.ajax({
        type: 'POST',
        url: "{{route('admin.master.priority')}}",
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },

        data:{"id": id , "priority" : priority},
        dataType: 'json',
        success:function(response){			
            
            
        },
        error: function(xhr, ajaxOptions, thrownError) { // if error occured
            response =jQuery.parseJSON(xhr.responseText);											
                            
        }	
    }); 

});


$(".only-numeric").bind("keypress", function (e) {

        var keyCode = e.which ? e.which : e.keyCode;     

        if (!(keyCode >= 48 && keyCode <= 57)) {

            $(".error").css("display", "inline");

            return false;

        }else{

            $(".error").css("display", "none");

        }

});
        

$(".deleteRow").click(function(){
      Swal.fire({
            title: 'Are you sure?',
            text: "You want to delete this data!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, continue!'
            }).then((result) => {
            if (result.value) {
                $(this).parent().parent().find('.delete_row_id').prop('checked', true);
                $('#frm_listing').submit();
            }
        });	
    
});


$("#checkAll").click(function(){
    $('input:checkbox').not(this).prop('checked', this.checked);
});

$("#btn_delete_all").click(function(){  

    Swal.fire({
        title: 'Are you sure?',
        text: "You want to delete this data!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, continue!'
        }).then((result) => {
        if (result.value) {
            $('#frm_listing').submit();
        }
    });	
    //$('#export').val('');
    //$('#frm_listing').attr('target','');
    
});

$("#btn_search").click(function(){  
    //$('#export').val('');
    //$('#frm_listing').attr('target','');
    $('#frm_search').submit();
});

$("#btn_reset").click(function(){  
    //$('#export').val('');
     $("#frm_search")[0].reset()
     $('#frm_search').submit();
});

function doPagination(page){
  $('#export').val('');
  $('#page_no').val(page);
  $('#frm_search').submit();
}
</script>    
@stop