@extends('admin.layouts.master')


@section('style')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.6/cropper.css"  />
@stop


@section('content')



<div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            
            <h1 class="m-0 text-dark">{{$pageTitle}}</h1>
            
          </div><!-- /.col -->
          <div class="col-sm-6">
            <div class="breadcrumb float-sm-right">

                  <?php if(isset($top_tools)){
                        
                        foreach($top_tools as $val){
                          switch($val['type']){                                                
                              case 'link':
                                $id='';
                                if(isset($val['id'])){
                                  $id=$val['id'];
                                }
                                $t=isset($val['section']) ? $val['section'] : app('request')->input('identifier');
                                
                                $qry_str="identifier=".$t;
                                if(isset($val['qry_str'])){
                                    $qry_str.="&".$val['qry_str'];
                                }

                                if(isset($val['parent_required'])  && app('request')->input('parent_id')>0){
                                  $qry_str.="&parent_id=".app('request')->input('parent_id');
                                }
                                  ?>
                                 <a class=" btn btn-info btn-sm {{isset($val['class']) ?  $val['class']: '' }}" href="{!! route($val['route'], $qry_str) !!}" style="margin-right:5px;"><i class="{{$val['icon']}}"></i>&nbsp;<?php echo $val['title']?></a>
                                  <?php
                              break; 
                              case 'search':
                                  ?>
                                  <div class="breadcrumb-item "><a  data-widget="control-sidebar" data-slide="true" href="#" role="button"><button>Search</button></a></div>
                                  <?php
                              break;
                              case 'download':
                                ?>
                                <div class="breadcrumb-item "><a  data-widget="control-sidebar" data-slide="true" href="javascript:vold(0); " role="button"><button onclick="downloadExcel();">Download</button></a></div>
                                <?php
                            break;
                              
                              
                          }
                          ?>       
                                            
                    <?php } } ?>

              
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
</div>






<section class="content">
      <div class="container-fluid">
       
        

 

      <div class="card card-primary">
             
              <!-- /.card-header -->
              <!-- form start -->
              <form id="admin_form" role="form" action="{!! route($save_route) !!}" method="POST" enctype="multipart/form-data" autocomplete="off">
              <input name="identifier" type="hidden" value="<?php echo app('request')->input('identifier')?>">
              <input name="tab" type="hidden" value="{{$tab}}">
              {!! csrf_field() !!}
              @if (isset($content['id']) && $content['id'] > 0)
                    <input name="id" type="hidden" value="{{$content['id']}}">
              @endif 
             
              
                <div class="card-body">
                     <div class="row">  

                            <div class="col-md-12">
                              @include('admin.'.$view.'.tab_links')
                              <br>
                            </div>

                     </div>
                    
                    <div class="row">  
                             <div class="col-md-12">
                                    <div class="row"> 

                                    @include('admin.page.'.$tab)                             

                                  </div>

                             </div>

                            
                       
                            


                    </div>

               

                <div class="card-footer1" style="padding-top:20px;">

                      

                      <button type="button" id="btn_save" class="btn btn-success">Save</button>
                      <button type="button" id="btn_discard" class="btn btn-danger">Cancel or Discard</button>
                      <button type="button" id="btn_cancel" class="btn btn-info">Close or Exit</button>

                
                </div>
              </form>
            </div>
        



      
      </div>
</section>





<div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalLabel">Image Cropping</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="img-container">
            <div class="row">
                <div class="col-md-12">
                    <img id="image" src="https://avatars0.githubusercontent.com/u/3456749">
                </div>
                
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-primary" id="crop">Crop & Upload</button>
        <button type="button" class="btn btn-primary" id="skip">Upload without  crop</button>
      </div>
    </div>
  </div>
</div>
    




@stop



@section('javascript')

<script type = "text/javascript" src = "{{asset('public/admin/tinymce/tinymce.min.js')}}"></script>
<script type = "text/javascript" src = "{{asset('public/admin/tinymce/jquery.tinymce.min.js')}}"></script>
<script type = "text/javascript" src = "{{asset('public/admin/tinymce/main.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.6/cropper.js" integrity="sha256-CgvH7sz3tHhkiVKh05kSUgG97YtzYNnWt6OXcmYzqHY=" crossorigin="anonymous"></script>

<script>

var $modal = $('#modal');
var image = document.getElementById('image');
var cropper;
var image_source; 
var file;
var cropBoxResizable=0;

var aspectRatioW=1;
var aspectRatioH=1;
var cropBoxResizable=1;
var canvasW=800;
var canvasH=500;
var image_browser_source;


$("body").on("change", ".image", function(e){  

    image_browser_source=$(this).parent().parent();
    aspectRatioW=$(this)[0].getAttribute('data-ratio_width');
    aspectRatioH=$(this)[0].getAttribute('data-ratio_height');
    cropBoxResizable=$(this)[0].getAttribute('data-resize');
    canvasW=$(this)[0].getAttribute('data-canvas_width');
    canvasH=$(this)[0].getAttribute('data-canvas_height');
    image_source="image";
    uploadfile(e);

});

//$("body").on("change", ".image", function(e){  
    function uploadfile(e){      
    var files = e.target.files;
    
    var done = function (url) {
      image.src = url;
      $modal.modal({
                        backdrop: 'static',
                        keyboard: true, 
                        show: true
                }); 
    };
    var reader;
    
    var url;

    if (files && files.length > 0) {
      file = files[0];

      if (URL) {
        done(URL.createObjectURL(file));
      } else if (FileReader) {
        reader = new FileReader();
        reader.onload = function (e) {
          done(reader.result);
        };
        reader.readAsDataURL(file);
      }
    }

    }
//});

$modal.on('shown.bs.modal', function () {
    cropper = new Cropper(image, {
        dragMode: 'move',
        aspectRatio: 1,
        autoCropArea: 0.95,
        restore: false,
        guides: true,
        center: true,
        highlight: false,
        cropBoxMovable: true,
        cropBoxResizable: 0,
        toggleDragModeOnDblclick: false,
       
    
    });
}).on('hidden.bs.modal', function () {
   cropper.destroy();
   cropper = null;
});

$("#crop").click(function(){
    canvas = cropper.getCroppedCanvas({
      width: 800,
      height: 800,
     
    });

    canvas.toBlob(function(blob) {
        url = URL.createObjectURL(blob);
        var reader = new FileReader();
         reader.readAsDataURL(blob); 
         reader.onloadend = function() {
            var base64data = reader.result;  
            
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "{{url('adminpanel/upload?i=image')}}",
                data: {image: base64data},
                success: function(data){
                    //console.log(data);
                    $modal.modal('hide');
                    
                    //alert("success upload image");
                    image_browser_source.find('.image_preview_panel').show();
                    image_browser_source.find('.image_browse_panel').hide();
                    image_browser_source.find('.preview_src').attr('src',data.file);
                    image_browser_source.find('.uploaded_image').val(data.name);

                }
              });
         }
    });
})


$("#skip").click(function(){
           
           var reader = new FileReader(); 
           reader.readAsDataURL(file);
           reader.onloadend = function() {
               var base64data = reader.result;
   
   
               $.ajax({
                   type: "POST",
                   dataType: "json",
                   url: "{{url('adminpanel/upload?i=image')}}",
                   data: {image: base64data},
                   success: function(data){
                       //console.log(data);
                       $modal.modal('hide');
                       
                       //alert("success upload image");
                        image_browser_source.find('.image_preview_panel').show();
                        image_browser_source.find('.image_browse_panel').hide();
                        image_browser_source.find('.preview_src').attr('src',data.file);
                        image_browser_source.find('.uploaded_image').val(data.name);
   
                   }
                 });
               
           }
      
   })

$(".delete_image").click(function(){
    //var image=$(this).attr('data-id');
    $(this).parent().hide();
    $(this).parent().parent().find('.image_browse_panel').show();
    $(this).parent().find('preview_src').attr('src','');
    $(this).parent().parent().find('.uploaded_image').val('');

       
});    
   






$( ".form-control" ).focus(function() {
	$(this).next('.errormessage').hide();
});
      

$( "#btn_save" ).click(function() {
  
  var error=0;
	$('.mandatory').each(function(index, obj){
        //alert(obj.value);
        if(obj.value==''){            
            //alert($(obj).data('message'));
            $(obj).next('.errormessage').show();			
            $(obj).next('.errormessage').text($(obj).data('message'));               
            error=1;
        }
    });

    if(error==0){
        $( "#admin_form" ).submit();
    } 
    
    return false;

});

function tabAlert(){				
    Swal.fire({
          title: 'warning',
          text: "Please enter and save basic info",
          icon: 'warning',
        
      });	
}


$( "#btn_cancel" ).click(function() {
   //history.back();
   var url=$('.btn_list_all').attr('href');
   window.location.href=url;
});

$( "#btn_discard" ).click(function() {
  

  Swal.fire({
        title: 'Are you sure?',
        text: "You want to discard this data!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, continue!'
        }).then((result) => {
        if (result.value) {
          location.reload(true)
        }
    });	

});

</script>
@stop