<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\admin\DbController;

use App\Http\Controllers\admin\AuthController;
use App\Http\Controllers\admin\RoleController;
use App\Http\Controllers\admin\AdminUserController;
use App\Http\Controllers\admin\HomeController;
use App\Http\Controllers\admin\PageController;
use App\Http\Controllers\admin\MenuController;
use App\Http\Controllers\admin\MasterController;
use App\Http\Controllers\admin\AjaxController;
use App\Http\Controllers\admin\BannerController;
use App\Http\Controllers\admin\GalleryController;
use App\Http\Controllers\admin\DownloadController;
use App\Http\Controllers\admin\WidgetController;



Route::get('/login',  [AuthController::class, 'getLogin'])->name('admin.login.form');
Route::post('/login', [AuthController::class, 'doLogin'])->name('admin.login.submit');




Route::group([ 'middleware' => 'adminauth'], function()
{
    //All the routes that belongs to the group goes here
    Route::get('/', [HomeController::class, 'dashboard'])->name('admin.dashboard');  
    Route::get('/logout', [AuthController::class, 'doLogout'])->name('admin.logout'); 

    //ajax
    Route::post('/upload', [AjaxController::class, 'upload']);


    // for cms page, blog
     // for cms page, blog
     Route::get('/page',[PageController::class, 'index'])->name('admin.page');
     Route::get('/page/form',[PageController::class, 'form'])->name('admin.page.form');
     Route::post('/page/save',[PageController::class, 'save'])->name('admin.page.save');      
     Route::delete('/page/delete',[PageController::class, 'delete'])->name('admin.page.delete');
     Route::put('/page/status',[PageController::class, 'status'])->name('admin.page.status');   
     Route::post('/page/priority', [PageController::class, 'priority'])->name('admin.page.priority');
     Route::post('/page/save/description',[PageController::class, 'save_description'])->name('admin.page.save.description');   
   

    // main menu, footer menu
    Route::get('/menu',[MenuController::class, 'index'])->name('admin.menu');
    Route::post('/menu',[MenuController::class, 'save'])->name('admin.save');


  // for home content
  Route::get('/widget',[WidgetController::class, 'index'])->name('admin.widget');
  Route::get('/widget/form',[WidgetController::class, 'form'])->name('admin.widget.form');
  Route::post('/widget/save',[WidgetController::class, 'save'])->name('admin.widget.save');      
  Route::get('/widget/delete/{id}',[WidgetController::class, 'delete'])->name('admin.widget.delete');
  Route::get('/widget/status/{id}',[WidgetController::class, 'status'])->name('admin.widget.status');   
  Route::post('/widget/priority', [WidgetController::class, 'priority'])->name('admin.widget.priority');
   

    // masters
    Route::get('/master',[MasterController::class, 'index'])->name('admin.master');
    Route::get('/master/form',[MasterController::class, 'form'])->name('admin.master.form');
    Route::post('/master/save',[MasterController::class, 'save'])->name('admin.master.save');  
    Route::get('/master/status/{id}',[MasterController::class, 'status'])->name('admin.master.status');   
    Route::post('/master/priority', [MasterController::class, 'priority'])->name('admin.master.priority');
    Route::delete('/master/delete',[MasterController::class, 'delete'])->name('admin.master.delete');
    
  




     //for user
     Route::get('/user',[AdminUserController::class, 'index'])->name('admin.user');
     Route::get('/user/form',[AdminUserController::class, 'form'])->name('admin.user.form');
     Route::post('/user/save',[AdminUserController::class, 'save'])->name('admin.user.save');     
     Route::delete('/user/delete',[AdminUserController::class, 'delete'])->name('admin.user.delete');
     Route::get('/user/status/{id}',[AdminUserController::class, 'status'])->name('admin.user.status');   
     Route::post('/user/priority', [AdminUserController::class, 'priority'])->name('admin.user.priority');


    //for role
    Route::get('/role',[RoleController::class, 'index'])->name('admin.role');
    Route::get('/role/form',[RoleController::class, 'form'])->name('admin.role.form');
    Route::post('/role/save',[RoleController::class, 'save'])->name('admin.role.save');     
    Route::delete('/role/delete',[RoleController::class, 'delete'])->name('admin.role.delete');
    Route::get('/role/status/{id}',[RoleController::class, 'status'])->name('admin.role.status');   
    Route::post('/role/priority', [RoleController::class, 'priority'])->name('admin.role.priority');



        // for banner
        Route::get('/banner',[BannerController::class, 'index'])->name('admin.banner');
        Route::get('/banner/form',[BannerController::class, 'form'])->name('admin.banner.form');
        Route::post('/banner/save',[BannerController::class, 'save'])->name('admin.banner.save'); 
        Route::delete('/banner/delete',[BannerController::class, 'delete'])->name('admin.banner.delete');
        Route::put('/banner/status',[BannerController::class, 'status'])->name('admin.banner.status');   
        Route::post('/banner/priority', [BannerController::class, 'priority'])->name('admin.banner.priority');
    
        


    // gallery
    Route::get('/gallery',[GalleryController::class, 'index'])->name('admin.gallery');
    Route::get('/gallery/form',[GalleryController::class, 'form'])->name('admin.gallery.form');
    Route::post('/gallery/save',[GalleryController::class, 'save'])->name('admin.gallery.save');      
    
    Route::get('/gallery/status/{id}',[GalleryController::class, 'status'])->name('admin.gallery.status');   
    Route::post('/gallery/priority', [GalleryController::class, 'priority'])->name('admin.gallery.priority');
    Route::delete('/gallery/delete',[GalleryController::class, 'delete'])->name('admin.gallery.delete');

   


       // downloads
    Route::get('/download',[DownloadController::class, 'index'])->name('admin.download');
    Route::get('/download/form',[DownloadController::class, 'form'])->name('admin.download.form');
    Route::post('/download/save',[DownloadController::class, 'save'])->name('admin.download.save');      
    
    Route::get('/download/status/{id}',[DownloadController::class, 'status'])->name('admin.download.status');   
    Route::post('/download/priority', [DownloadController::class, 'priority'])->name('admin.download.priority');
    Route::delete('/download/delete',[DownloadController::class, 'delete'])->name('admin.download.delete');




});
   