<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\fe\HomeController;
use App\Http\Controllers\fe\AjaxController;
use App\Http\Controllers\fe\CourseController;
use App\Http\Controllers\fe\FacultyController;
use App\Http\Controllers\fe\AdmissionController;
use App\Http\Controllers\fe\ContactController;
use App\Http\Controllers\fe\AuthController;

Route::get('/offeredcourses', [AjaxController::class, 'offeredcourses'])->name('ajax.offeredcourses');


Route::get('/courses', [CourseController::class, 'index'])->name('courses');
Route::get('/faculties', [FacultyController::class, 'index'])->name('faculties');

Route::get('/admission', [AdmissionController::class, 'admissionform'])->name('admissionform');
Route::post('/admission', [AdmissionController::class, 'admissionSave'])->name('admissionform');

Route::get('/admission-courses/{id}', [AdmissionController::class, 'admissionCourses'])->name('admission-courses');
Route::post('/admission-courses', [AdmissionController::class, 'admissionCourseSave'])->name('admission-course-save');

Route::get('/admission-payment/{id}', [AdmissionController::class, 'admissionPayment'])->name('admission-payment');
Route::post('/admission-payment', [AdmissionController::class, 'admissionPaymentSave'])->name('admission-payment-save');

Route::post('/contact', [ContactController::class, 'save'])->name('contact');


Route::get('/success', [HomeController::class, 'success'])->name('success');
Route::POST('/login', [AuthController::class, 'login'])->name('login.check');
Route::get('/dashboard', [AuthController::class, 'dashboard'])->name('dashboard');

Route::get('/{slug}', [HomeController::class, 'content'])->name('content');
Route::get('/', [HomeController::class, 'index'])->name('index');







